<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbModuleTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_module', function(Blueprint $table)
		{
			$table->foreign('parent_id', 'fk_mod')->references('id')->on('ab_module')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_mod_set')->references('id')->on('ab_setup')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_module', function(Blueprint $table)
		{
			$table->dropForeign('fk_mod');
			$table->dropForeign('fk_mod_set');
		});
	}

}
